https://mailchimp.com/lists/{list_id}/members/{subscriber_hash}/actions/delete-permanentDelete all personally identifiable information related to a list member, and remove them from a list. This will make it impossible to re-import the list member.
The unique ID for the list.
The MD5 hash of the lowercase version of the list member's email address.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://mailchimp.com/lists/{list_id}/members/{subscriber_hash}/actions/delete-permanent' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://mailchimp.com/lists/{list_id}/members/{subscriber_hash}/actions/delete-permanentDelete all personally identifiable information related to a list member, and remove them from a list. This will make it impossible to re-import the list member.
The unique ID for the list.
The MD5 hash of the lowercase version of the list member's email address.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://mailchimp.com/lists/{list_id}/members/{subscriber_hash}/actions/delete-permanent' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}